Skip to main content
GET
/
messaging_profiles
/
{profile_id}
/
autoresp_configs
/
{autoresp_cfg_id}
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

const autoRespConfigResponse = await client.messagingProfiles.autorespConfigs.retrieve(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { profile_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' },
);

console.log(autoRespConfigResponse.data);
{
  "data": {
    "op": "start",
    "keywords": [
      "START",
      "BEGIN"
    ],
    "country_code": "*",
    "id": "b8f9c1c0-5b5a-4b1e-8c1c-0b5a4b1e8c1c",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "resp_text": "Thank you for subscribing to our service."
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

profile_id
string<uuid>
required
autoresp_cfg_id
string<uuid>
required

Response

Successful Response

data
AutorespConfigSchema · object
required